/**
 * \file LegParameters.h
 *
 *  \date Jun 22, 2012
 *  \author Alexandre Tuleu
 */

#ifndef LIBONCILLA_WEBOTS_LEGPARAMETERS_H_
#define LIBONCILLA_WEBOTS_LEGPARAMETERS_H_

#include <Eigen/Core>

class LegParameters{
public :
	enum Config {
			UNDEFINED       = 0,
			DEFINED         = 1 >> 0,
			OPEN_PANTOGRAPH = 1 >> 1,
			SPRING_FOOT     = 1 >> 2
	};

	double l1,l2,l3,deltaL;
	Eigen::Vector3d l2L3AxisInL3,posOfD2inL3;
	uint32_t jD1D2;
	Config config;
	LegParameters();
	~LegParameters();
};


#endif // LIBONCILLA_WEBOTS_LEGPARAMETERS_H_
