/*
 * WebotsL0Adaptater.cpp
 *
 *  Created on: 15 d�c. 2011
 *      Author: Alexandre Tuleu
 */

#include "WebotsL0Adapter.h"


using namespace rci::oncilla;

WebotsL0Adapter::WebotsL0Adapter(OncillaL0Ptr node,
                                 webots::Servo * servo)
	: d_node(node)
	, d_servo(*servo){
	if(!servo){
		throw std::logic_error("Unvalid webots::Servo handle.");
	}
}

WebotsL0Adapter::~WebotsL0Adapter() {}


void WebotsL0Adapter::PreStep(double ts){
	d_servo.setPosition(d_node->getLastPositionCommand()->asDouble(0));
}

void WebotsL0Adapter::PostStep(double){ /*nothing to do */}

void WebotsL0Adapter::Activate(){};
void WebotsL0Adapter::DeActivate(){};

