/**
 * \file WebotsL2Adapter.h
 *
 *  \date Jan 12, 2012
 *  \author Alexandre Tuleu
 */

#ifndef LIBONCILLA_WEBOTS_WEBOTSL2ADAPTER_H_
#define LIBONCILLA_WEBOTS_WEBOTSL2ADAPTER_H_

#include <liboncilla/OncillaL1L2.h>
#include <webots/Supervisor.hpp>
#include <webots/Servo.hpp>


#include "WebotsNodeAdapter.h"
#include "Config.h"
/**
 *
 */



class WebotsL2Adapter : public WebotsNodeAdapter{

public:
	WebotsL2Adapter(rci::oncilla::OncillaL2Ptr node,
	                uint32_t identifier, webots::Servo * servo,
	                const liboncilla::webots::config::LegSection & conf);
	virtual ~WebotsL2Adapter();

	void PreStep(double ts);
	void PostStep(double ts);
	void Activate();
	void DeActivate();

private :
	void Init(const liboncilla::webots::config::LegSection & conf);

	rci::oncilla::OncillaL2Ptr d_node;
	webots::Servo & d_servo;
	uint32_t d_jointIdentifier;
	double d_minPosition;
	double d_maxPosition;
	double d_maxSpeed;
	double d_lastCommand;
};

#endif // LIBONCILLA_WEBOTS_WEBOTSL2ADAPTER_H_
