/**
 * \file WebotsL3Adapter.cpp
 *
 *  \date Jan 27, 2012
 *  \author Alexandre Tuleu
 */

#include "WebotsL3Adapter.h"
#include "Config.h"
using namespace rci::oncilla;

WebotsL3Adapter::WebotsL3Adapter(OncillaL3Ptr node, webots::Servo * servo)
	: d_node(node)
	, d_servo(*servo){
	if(!servo){
		throw std::logic_error("Unvalid webots::Servo handle.");
	}

}

WebotsL3Adapter::~WebotsL3Adapter(){
}

void WebotsL3Adapter::PreStep(double ts){/*Nothing to do*/}


void WebotsL3Adapter::PostStep(double){
	d_node->unsafeUpdatePosition(d_servo.getPosition());
}


void WebotsL3Adapter::Activate(){
	namespace c = liboncilla::webots::config;
	d_servo.enablePosition(c::Config::Instance().Main().ProcessLoopTime() * 1000);
}

void WebotsL3Adapter::DeActivate(){
	d_servo.disablePosition();
}
