/**
 * \file WebotsL3Adapter.h
 *
 *  \date Jan 27, 2012
 *  \author Alexandre Tuleu
 */

#ifndef LIBONCILLA_WEBOTS_WEBOTSL3ADAPTER_H_
#define LIBONCILLA_WEBOTS_WEBOTSL3ADAPTER_H_

#include <liboncilla/OncillaL3.h>
#include "WebotsNodeAdapter.h"
#include "webots/Servo.hpp"



/**
 * Implementation of OncillaL3 joint.
 *
 * Right now just read data from the P1/P2 - L3 joint. Some transformation
 * should be done in the future once the hardware will be better defined.
 */
class WebotsL3Adapter : public WebotsNodeAdapter{
public:
	WebotsL3Adapter(rci::oncilla::OncillaL3Ptr node, webots::Servo * servo);
	virtual ~WebotsL3Adapter();

	void PreStep(double ts);
	void PostStep(double ts);
	void Activate();
	void DeActivate();

private:
	rci::oncilla::OncillaL3Ptr d_node;
	webots::Servo & d_servo;
};

#endif // LIBONCILLA_WEBOTS_WEBOTSL3ADAPTER_H_
