/**
 * \file WebotsNodeWrapper.cpp
 *
 *  \date Jun 27, 2012
 *  \author Alexandre Tuleu
 */

#include "WebotsNodeWrapper.h"

#include <stdexcept>

#include <webots/Supervisor.hpp>



webots::Supervisor * WebotsNodeWrapper::s_supervisor(NULL);

WebotsNodeWrapper::WebotsNodeWrapper(const std::string & name){
	if(!s_supervisor){
		throw std::logic_error("[WebotsNodeWrapper] : missing call to WebotsNodeAdapter::SetSupervisor().");
	}
	d_node = s_supervisor->getFromDef(name);
	if(!d_node){
		throw std::runtime_error("[WebotsNodeWrapper] : could not find node '" + name + "'");
	}
}

WebotsNodeWrapper::~WebotsNodeWrapper(){}

void WebotsNodeWrapper::SetSupervisor(webots::Supervisor * supervisor){
	if(s_supervisor){
		throw std::logic_error("[WebotsNodeWrapper] : double call to WebotsNodeAdapter::SetSupervisor().");
	}


	s_supervisor = supervisor;
}

int WebotsNodeWrapper::Type() const{
	return d_node->getType();
}

